nerr_init(3)

NAME
nerr_init

SYNOPSIS
#include <util/neo_err.h> NEOERR *nerr_init (void);

ARGUMENTS
None

DESCRIPTION
initialize the NEOERR system. Can be called more than once. Is not thread safe. This registers all of the built in error types as defined at the top of this file. If you don't call this, all exceptions will be returned as UnknownError.

SEE ALSO
nerr_error_traceback(3), nerr_pass(3), nerr_error_string(3), defined(3), nerr_pass_ctx(3), nerr_passf(3), nerr_init(3), nerr_match(3), nerr_log_error(3), nerr_ignore(3), nerr_register(3), nerr_handle